man2html(1)

NUME
man2html - formatează o pagină de manual în html

SUMAR
man2html [opţuni] [fişier]

DESCRIERE
man2html converteşte o pagină de manual aşa cum se găseşte în fişier (sau intrarea standard (stdin), în caz că argumentul fişier lipseşte, sau argumentul "-" este folosit) din stilul man nroff în html, şi tipăreşte rezultatul la ieşirea standard (stdout). Suportă tbl dar nu ştie de eqn. Starea de ieşire este 0. Dacă ceva merge eronat, o pagină de eroare este tipărită la ieşirea standard (stdout).

Poate fi folosit ca un utilitar de sine stătător, dar este în principal conceput ca un auxiliar, pentru a permite utilizatorilor să navigheze prin paginile de manual folosind un navigator html ca lynx(1), xmosaic(1) sau netscape(1).

Partea principală a man2html este motorul troff-to-html scris de Richard Verhoeven (rcb5@win.tue.nl). Adaugă legături pentru următoarele construcţii:

foo(3x) | "http://localhost/cgi-bin/man/man2html?3x+foo"
method://şir | "method://şir"
www.nume.gazdă | "http://www.nume.gazdă"
ftp.nume.gazdă | "ftp://ftp.nume.gazdă"
nume@gazdă | "mailto:nume@gazdă"
<string.h> | "file:/usr/include/string.h"

(Primele din acestea pot fi modificate cu opţiuni - vezi mai jos.) Nici o verificare nu este făcută - legăturile generate nu trebuie să existe. De asemenea, este generat un cuprins cu legături interne spre diverse secţiuni, astfel încât este mai uşor pentru cineva să se descurce în paginile mari de manual ca bash(1).

OPŢIUNI
Când se citeşte de la intrarea standard, nu este întotdeauna clar cum să se facă expansiunea .so. Opţiunea -D permite unui script să definească directorul de lucru.

-D cale
    Elimină ultimele două părţi din cale, şi face un chdir(dir) înainte de a începe conversia.

Opţiunea -E permite generarea uşoară a mesajelor de eroare dintr-un script cgi.

-E şir
    Produce o pagină de eroare conţinând mesajul de eroare dat.

Forma generală a unei legături generate pentru o referinţă la o pagină de manual este

    <metodă:cale_cgi><cale_man2html><separator><pagină_man>

cu o formă implicită ca mai sus. Părţile acestei legături sunt configurate folosind diverse opţiuni.

-h  Configurează metodă:cele_cgi ca http://localhost. Această opţiune este implicită.

-H gazdă[.domeniu][:port]
    Configurează metodă:cale_cgi ca http://gazdă.domeniu:port.

-l  Configurează metodă:cale_cgi ca lynxcgi:/home/httpd.

-L dir
    Configurează metodă:cale_cgi ca lynxcgi:dir.

-M cale_man2html
    Configurează cale_man2html care va fi folosită. Implicit ea este /cgi-bin/man/man2html.

-p  Configurează separatorul ca '/'.

-q  Configurează separatorul ca '?'. Această opţiune este implicită.

Pe o maşină care nu rulează httpd, se poate folosi lynx pentru a naviga prin paginile de manual, folosind metoda lynxcgi. Când un demon http rulează, lynx, sau orice alt navigator, poate fi folosit pentru a naviga prin paginile de manual, folosind metoda http. Opţiunea -l (pentru `lynxcgi') selectează comportamentul precedent. Cu ea, cale_cgi este /home/httpd.

În general, un script cgi poate fi apelat prin

    <cale_la_script>/<mai_multă_cale>?<cerere>

şi variabilele de mediu PATH_INFO şi QUERY_STRING vor fi configurate ca <mai_multă_cale> şi respectiv <cere>. Din moment ce lynxcgi nu tratează partea PATH_INFO, generăm legături cu `?' drept separator în mod implicit. Opţiunea -p (de la eng. `path' (cale)) selectează '/' ca separator, în timp ce opţiunea -q (de la eng. `query'(cerere)) selectează '?' ca separator.

Opţiunea -H gazdă va specifica gazda care va fi folosită (în loc de localhost). Un script cgi ar putea folosi

    man2html -H $SERVER_NAME

dacă variabila SERVER_NAME este configurată. Aceasta ar permite maşinii să se comporte ca un server şi să exporte pagini de manual.

ERORI
Sunt multe euristici. Rezultatul nu va fi întotdeauna perfect. Metoda lynxcgi nu va funcţiona dacă lynx a fost compilat fără a selecta suport pentru ea. Ar putea fi probleme de securitate.

VEZI ŞI
lynx(1), man(1)